;
;----------------------------  ORIGINAL twc.pro ---------------------------------
;
 pro twc    ; !! PV-Wave UNCOMMENT !! 
;             !! PV-Wave UNCOMMENT !! any of the three p-arrays below 
; p-arrays below are sample data sets: each graph requires eight array elements
;    0 1  2    3 4  5    6  7 0 1  2    3 4 5   6   7 0 1  2    3 4 5   6   7 
; p=[1,10,1000,2,10,1000,10,2,0,10,1000,4,8,800,100,4,0,10,1000,3,9,100,900,999]
; p=[1,10,1000,2,10,1000,10,2,0,10,1000,4,8,800,100,4,0,10,1000,3,9,100,900,8]
  p=[1,10,1000,3, 9,100,900,1]  ; This p-array contains only one graph 
;
; Eight array elements defined 
;  p(0)=replot, 
;  p(1)=10=radmax, p(2)=1000=pressmax, (These values are the same for all plots) 
;  p(3)=rinner,    p(4)=router,  
;  p(5)=pinner,    p(6)=pouter,
;  p(7)=plot-test parameter
;
; Set System Variables for plotting
 !P.Font=-1 & !P.Charsize=2.0
;
; Get information from p-array
 b=size(p)
; For array p=[1,10,1000,3,9,100,900,1] print,b yields  1  24  2  24
 plots=(b(3)/8)-1 ; For example b(3)=24, plots=2 which results in 3 plots
;
; Set arrays sizes for plotting
 rho=fltarr(101)
 tanstress=fltarr(101)
 radstress=fltarr(101)
 maxstress=fltarr(20)
 replot=intarr(20)
 radmax=fltarr(20)
 pressmax=fltarr(20)
 rinner=fltarr(20)
 router=fltarr(20)
 pinner=fltarr(20)
 pouter=fltarr(20)
 pltcol=intarr(20)
 increment=fltarr(20)
;
;initializes all of the arrayed variables
for k=0,plots do begin
 replot(k)=p(8*k)
 radmax(k)=float(p(1+8*k))
 pressmax(k)=float(p(2+8*k))
 rinner(k)=float(p(3+8*k))
 router(k)=float(p(4+8*k))
 pinner(k)=float(p(5+8*k))
 pouter(k)=float(p(6+8*k))
 ;
 ;selection of grayscale vs color.
 if (p(7+8*plots) eq 999) then begin
   if (k eq 0) then begin
     pltcol(0)=238
   endif else begin
     pltcol(k)=pltcol(k-1)-10
   endelse
 endif else begin
   pltcol(k)=p(7+8*k)
 endelse
increment(k)=(router(k)-rinner(k))/100.0
endfor
;
;  Zero arrays for plotting
for i=0,100 do begin
rho(i)=0.0
tanstress(i)=0.0
radstress(i)=0.0
endfor
;
  TEK_COLOR
  openzbuff,470,400        ; comment when attached to JWave function twc.pro !!!!
;
;  Calculate arrays for plotting
for k=0,plots do begin
  rho(0)=rinner(k)
  tanstress(0)=((pinner(k)*(rinner(k)^2))-(pouter(k)*(router(k)^2))+ $
   (((rinner(k)^2)*(router(k)^2))/(rho(0)^2))*(pinner(k)-pouter(k)))/ $
   ((router(k)^2)-(rinner(k)^2))
  radstress(0)=((pouter(k)*(router(k)^2))-(pinner(k)*(rinner(k)^2))+ $
   (((rinner(k)^2)*(router(k)^2))/(rho(0)^2))*(pinner(k)-pouter(k)))/ $
   ((router(k)^2)-(rinner(k)^2))
  maxstress(k)=(pinner(k)*((rinner(K)^2)+(router(K)^2))-2*pouter(K)* $
   (router(K)^2))/((router(K)^2)-(rinner(K)^2))
  ;
  for j=1,100 do begin
    rho(j)=rho(j-1)+increment(k)
    tanstress(j)=((pinner(k)*(rinner(k)^2))-(pouter(k)*(router(k)^2))+ $
     (((rinner(k)^2)*(router(k)^2))/(rho(j)^2))*(pinner(k)-pouter(k)))/ $
     ((router(k)^2)-(rinner(k)^2))
    radstress(j)=((pouter(k)*(router(k)^2))-(pinner(k)*(rinner(k)^2))+ $
     (((rinner(k)^2)*(router(k)^2))/(rho(j)^2))*(pinner(k)-pouter(k)))/ $
     ((router(k)^2)-(rinner(k)^2))
  endfor
  ;
  if replot(k) eq 1 then begin
    if (p(7+8*plots) eq 999) then begin
      LOADCT,0
      plot,rho,tanstress, $
       TITLE = 'Tangential(solid) Radial(dotted)', $
       XTITLE = 'Radius, rho (in.)', YTITLE = 'Stress(psi)',COLOR=pltcol(k), $
      THICK=1.0,LINESTYLE=0
    endif else begin
      TEK_COLOR
      plot,rho,tanstress, $
      TITLE = 'Tangential(solid) Radial(dotted)', $
      XTITLE = 'Radius, rho (in.)', YTITLE = 'Stress(psi)',COLOR=1,/NODATA
      oplot,rho,tanstress,COLOR=pltcol(k),THICK=1.0,LINESTYLE=0
    endelse
    oplot,rho,radstress,COLOR=pltcol(k),THICK=2.0,LINESTYLE=1
  endif
  ;
  if replot(k) eq 0 then begin
    if (p(7+8*plots) eq 999) then begin
      LOADCT,0
    endif else begin
  ;   TEK_COLOR
    endelse
    oplot,rho,tanstress,COLOR=pltcol(k),THICK=1.0,LINESTYLE=0
    oplot,rho,radstress,COLOR=pltcol(k),THICK=2.0,LINESTYLE=1
  endif
endfor
  closezbuff,'twc.jpg'     ; comment when attached to JWave function twc.pro !!!!
;
end
